Subject: Re: [PATCH 5/9] fsl-msi: Provide default retrigger callback

From: Valentin Schneider <[email-masked]>
Date: Wed, 26 Aug 2020 12:16:47 +0100

Hi Marc,

Many thanks for picking this up!
Below's the only comment I have, the rest LGTM.

On 24/08/20 11:23, Marc Zyngier wrote:
> Signed-off-by: Marc Zyngier <[email-masked]>
> ---
>  drivers/bus/fsl-mc/fsl-mc-msi.c | 2 ++
>  1 file changed, 2 insertions(+)
>
> diff --git a/drivers/bus/fsl-mc/fsl-mc-msi.c b/drivers/bus/fsl-mc/fsl-mc-msi.c
> index 8edadf05cbb7..5306ba7dea3e 100644
> --- a/drivers/bus/fsl-mc/fsl-mc-msi.c
> +++ b/drivers/bus/fsl-mc/fsl-mc-msi.c
> @@ -144,6 +144,8 @@ static void fsl_mc_msi_update_chip_ops(struct msi_domain_info *info)
>        */
>       if (!chip->irq_write_msi_msg)
>               chip->irq_write_msi_msg = fsl_mc_msi_write_msg;
> +	if (!chip->irq_retrigger)
> +		chip->irq_retrigger = irq_chip_retrigger_hierarchy;

AFAICT the closest generic hook we could use here is

  msi_create_irq_domain() -> msi_domain_update_chip_ops()

which happens just below the fsl-specific ops update.

However, placing a default .irq_retrigger callback in there would affect any
and all MSI domain. IOW that would cover PCI and platform MSIs (covered by
separate patches in this series), but also some x86 ("dmar" & "hpet") and
TI thingies.

I can't tell right now how bad of an idea it is, but I figured I'd throw
this out there.

>  }
>  /**

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel